<?php
class install extends control
{
    public function openInstance($siteID, $type, $adminAccount, $adminPassword, $adminEmail, $adminEmailCertified, $private, $status = 'normal', $plan, $endDate, $theme = '')
    {
        $this->loadModel('common')->checkAPI();
        $this->loadModel('site')->syncSiteCodes();

        $private       = helper::safe64Decode($private);
        $adminPassword = helper::safe64Decode($adminPassword);
        $endDate       = helper::safe64Decode($endDate);

        if($type == 'pro') $this->install->saveProSite($siteID);
        
        $this->install->clearData($siteID);
        $this->install->createDB($siteID);
        $this->install->createTable($siteID, $type);
        $this->install->executeSaasSQL($siteID);
        $this->install->setAdmin($siteID, $adminAccount, $adminPassword, $adminEmail, $adminEmailCertified);
        $this->install->setConfig($siteID, $private, $status, $plan, $endDate);
        if($theme) $this->install->setTheme2import($siteID, $theme);

        $templates = $this->loadModel('ui')->getTemplates();
        foreach($templates['default']['themes'] as $theme => $name) $this->ui->createCustomerCss('default', $theme);

        if(dao::isError()) die(js::error(dao::getError()));
        die('success');
    }
}
